# managing of permit/deny lists goes here
# i have no idea if this will actually do anything

proc tac_cmd_permit {exp line} {
    if {![regexp -- {^([0-9a-zA-Z/:]+) ([0-9a-zA-Z]+) *$} $line match cmd name]} {
        tac_output "Usage: [tac_get_help $exp]"
        return
    }

    toc_add_permit $name
}

proc tac_cmd_deny {exp line} {
    if {![regexp -- {^([0-9a-zA-Z/:]+) ([0-9a-zA-Z]+) *$} $line match cmd name]} {
        tac_output "Usage: [tac_get_help $exp]"
        return
    }

    toc_add_deny $name
}

tac_register_cmd 1 "p" "^/pa "       tac_cmd_permit          "  /pa user         add name to permit list"
tac_register_cmd 1 "p" "^/da "       tac_cmd_deny            "  /da user         add name to deny list"

tac_register_cmd 2 "p" "^p:p "       tac_cmd_permit          "  p:p user         add name to permit list"
tac_register_cmd 2 "p" "^p:d "       tac_cmd_deny            "  p:d user         add name to deny list"
tac_register_cmd 2 "p" "^p:h$"       tac_cmd_help
